using System;
using System.Collections.Generic;
using System.Linq;

namespace PushPlatform.Data.Bll
{
    public partial class BllWechatMsgmodel
    {
        private DaoAchieve.WechatMsgmodelDaoAchieve _CurrentDao = null;
        internal DaoAchieve.WechatMsgmodelDaoAchieve CurrentDao
        {
            get{
                if(_CurrentDao==null)
                {
                    _CurrentDao=new DaoAchieve.WechatMsgmodelDaoAchieve();
                }
                return _CurrentDao;
            }
        }
        
        public BllWechatMsgmodel()
        {
            
        }
    
        #region Service Bll
        public int Save(WechatMsgmodel entity)
        {
            if(entity == null)
                return 0;
            return CurrentDao.Save(entity);
        }
        
        public int Save(List<WechatMsgmodel> entityList)
        {
            if(entityList == null || entityList.Count == 0)
                return 0;
            return CurrentDao.Save(entityList);
        }
        
        
        public int Delete(string id)
        {
            if(string.IsNullOrEmpty(id))
                return 0;
            return CurrentDao.Delete(id);
        }
        
        public int Update(WechatMsgmodel entity)
        {
            if(entity == null)
                return 0;
            return CurrentDao.Update(entity);
        }
        
        public int Update(List<WechatMsgmodel> entityList)
        {
            if(entityList == null || entityList.Count == 0)
                return 0;
            return CurrentDao.Save(entityList);
        }
        
        public int SaveOrUpdate(IList<WechatMsgmodel> entityList)
        {
            if(entityList == null || entityList.Count == 0)
                return 0;
            return CurrentDao.SaveOrUpdate(entityList);
        }
        
        public WechatMsgmodel Get(string id)
        {
            if (string.IsNullOrEmpty(id))
            {
                return null;
            }
            return CurrentDao.Get(id);
        }
        
        public int GetCount(PushPlatform.Data.Criteria.CriteriaWechatMsgmodel mycriteria)
        {
            return CurrentDao.GetCount(mycriteria);
        }
        
        public List<WechatMsgmodel> Fetch(PushPlatform.Data.Criteria.CriteriaWechatMsgmodel mycriteria)
        {
            if(mycriteria.UsePage && (mycriteria.PageIndex <= 0 || mycriteria.PageSize < 1))
            {
                mycriteria.PageTotal = 0;
                return new List<WechatMsgmodel>();
            }
            return CurrentDao.Fetch(mycriteria);
        }
        #endregion
       
    }
}

